{
  "feature_selection_params": {
    "method": "NONE",
    "random_forest_params": {
      "n_trees": 30,
      "depth": 10,
      "n_features": 25
    },
    "lasso_params": {
      "alpha": [
        0.01,
        0.1,
        1.0,
        10.0,
        100.0
      ],
      "cross_validate": true
    },
    "pca_params": {
      "n_features": 25,
      "variance_proportion": 0.9
    },
    "correlation_params": {
      "min_abs_correlation": 0.0,
      "max_abs_correlation": 1.0,
      "n_features": 25
    },
    "custom_params": {
      "code": "# type your code here"
    }
  },
  "preprocessingFitSampleRatio": 1.0,
  "preprocessingFitSampleSeed": 1337,
  "target_remapping": [],
  "skipPreprocessing": false,
  "per_feature": {
    "feature2": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "feature3": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "datetime": {
      "generate_derivative": false,
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "REJECT",
      "type": "NUMERIC",
      "autoReason": "REJECT_IDENTIFIER",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "output1": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "output2": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "mlflow_out_0": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "mlflow_out_1": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    },
    "feature1": {
      "generate_derivative": false,
      "numerical_handling": "REGULAR",
      "missing_handling": "IMPUTE",
      "missing_impute_with": "MEAN",
      "impute_constant_value": 0.0,
      "keep_regular": false,
      "rescaling": "AVGSTD",
      "monotonic": "NONE",
      "quantile_bin_nb_bins": 4,
      "binarize_threshold_mode": "MEDIAN",
      "binarize_constant_threshold": 0.0,
      "datetime_cyclical_periods": [],
      "role": "INPUT",
      "type": "NUMERIC",
      "customHandlingCode": "",
      "customProcessorWantsMatrix": false,
      "sendToInput": "main"
    }
  },
  "feature_generation": {
    "pairwise_linear": {
      "behavior": "DISABLED"
    },
    "polynomial_combinations": {
      "behavior": "DISABLED"
    },
    "manual_interactions": {
      "interactions": []
    },
    "numericals_clustering": {
      "k": 0,
      "all_features": false,
      "input_features": [],
      "behavior": "DISABLED"
    },
    "categoricals_count_transformer": {
      "all_features": false,
      "input_features": [],
      "behavior": "DISABLED"
    }
  }
}